Remove the project's monthly spend limit
curl --request DELETE \
--url https://api.antarah.dev/v1/organization/projects/{project_id}/spend_limit \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.antarah.dev/v1/organization/projects/{project_id}/spend_limit"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.antarah.dev/v1/organization/projects/{project_id}/spend_limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.antarah.dev/v1/organization/projects/{project_id}/spend_limit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.antarah.dev/v1/organization/projects/{project_id}/spend_limit"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.antarah.dev/v1/organization/projects/{project_id}/spend_limit")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.antarah.dev/v1/organization/projects/{project_id}/spend_limit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "sl_0193a6c2e7b47c3d9f1e2a4b5c6d7e8f",
"object": "organization.spend_limit.deleted",
"deleted": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "<string>",
"param": "<string>",
"errors": [
{
"pointer": "<string>",
"detail": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "<string>",
"param": "<string>",
"errors": [
{
"pointer": "<string>",
"detail": "<string>"
}
]
}Remove the project's monthly spend limit
DELETE
/
v1
/
organization
/
projects
/
{project_id}
/
spend_limit
Remove the project's monthly spend limit
curl --request DELETE \
--url https://api.antarah.dev/v1/organization/projects/{project_id}/spend_limit \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.antarah.dev/v1/organization/projects/{project_id}/spend_limit"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.antarah.dev/v1/organization/projects/{project_id}/spend_limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.antarah.dev/v1/organization/projects/{project_id}/spend_limit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.antarah.dev/v1/organization/projects/{project_id}/spend_limit"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.antarah.dev/v1/organization/projects/{project_id}/spend_limit")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.antarah.dev/v1/organization/projects/{project_id}/spend_limit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "sl_0193a6c2e7b47c3d9f1e2a4b5c6d7e8f",
"object": "organization.spend_limit.deleted",
"deleted": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "<string>",
"param": "<string>",
"errors": [
{
"pointer": "<string>",
"detail": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"request_id": "<string>",
"param": "<string>",
"errors": [
{
"pointer": "<string>",
"detail": "<string>"
}
]
}Authorizations
adminKeysession
ak_admin_… Admin API key
Path Parameters
Pattern:
^proj_[0-9a-f]{32}$Example:
"proj_0193a6c2e7b47c3d9f1e2a4b5c6d7e8f"
